import { delReq, getReq, postReq, putReq } from '@/utils';

export function delMenuApi(id) {
    return delReq(`/api/v1/menus/${id}`);
}

export function getMenuDataApi() {
    return getReq('/api/v1/menus');
}

export function addMenuApi(data) {
    return postReq('/api/v1/menus', data);
}

export function addRoleApi(data) {
    return postReq('/api/v1/roles', data);
}

export function getRoleApi(id) {
    return getReq(`/api/v1/roles/${id}`);
}

export function updateRoleApi(data) {
    return putReq('/api/v1/roles', data);
}
